subroutine Malhas

use Variaveis

implicit none

allocate(npmm(L))


! inicializa os vetores (por capricho)
npmm = 0
npm  = 0


npmm(1) = Ng + 1
    
    do i = 2, L
  
      npmm(i) = (npmm(1)-1) * (q**(i-1)) + 1         ! constroi um vetor de malhas temporário
    
    end do
  

    k = L
    do i = 1, L

	  npm(i) = npmm(k)                              ! troca a ordem dos elementos do vetor de malhas
	  k = k - 1

	end do 

deallocate(npmm)                                    ! desaloca o vetor temporário

	
end subroutine Malhas